VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
ListenerProvider< T, ListenerInterface > Struct Template Reference

`#include <dispatchlist.h>`

## Public Types
using | List = DispatchList<ListenerInterface*>

## Public Member Functions
void | registerListener (ListenerInterface *listener)
void | unregisterListener (ListenerInterface *listener)
template<typename Proc>
void | forEachListener (Proc proc)
List & | getListeners ()
const List & | getListeners () const

## Member Typedef Documentation

## ◆ List

template<typename T, typename ListenerInterface>

using List = DispatchList<ListenerInterface*>

## Member Function Documentation

## ◆ forEachListener()

template<typename T, typename ListenerInterface>
template<typename Proc>

void forEachListener | ( | Proc | proc | ) |
| inline

## ◆ getListeners() [1/2]

template<typename T, typename ListenerInterface>

List & getListeners | ( |  | ) |
| inline

## ◆ getListeners() [2/2]

template<typename T, typename ListenerInterface>

const List & getListeners | ( |  | ) | const
| inline

## ◆ registerListener()

template<typename T, typename ListenerInterface>

void registerListener | ( | ListenerInterface * | listener | ) |
| inline

## ◆ unregisterListener()

template<typename T, typename ListenerInterface>

void unregisterListener | ( | ListenerInterface * | listener | ) |
| inline

The documentation for this struct was generated from the following file:

- dispatchlist.h